### Enumeration

# Qmi DmsFirmwareImageType

since: 1.0

#### Declaration

    enum Qmi.DmsFirmwareImageType

#### Description [src]

Type of firmware image.

Available since: 1.0

#### Members

`QMI_DMS_FIRMWARE_IMAGE_TYPE_MODEM`

  Modem image.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_FIRMWARE_IMAGE_TYPE_PRI`

  PRI image.

  - Value: `1`
  - Available since: 1.0

#### Type functions

###### qmi_dms_firmware_image_type_get_string

Gets the nickname string for the `QmiDmsFirmwareImageType` specified at `val`.

since: 1.0